Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.fonts.cmaps
Class CMapParser

    java.lang.Object
      com.lowagie.text.pdf.fonts.cmaps.CMapParser

    public class CMapParser

extends Object

This will parser a CMap stream.

Since:
  2.1.4
Version:
  $Revision$
Author:
  Ben Litchfield

Nested Class Summary
`private class` | `CMapParser.LiteralName` Internal class.
`private class` | `CMapParser.Operator` Internal class.

Field Summary
`private static String` | `BEGIN_BASE_FONT_CHAR`
`private static String` | `BEGIN_BASE_FONT_RANGE`
`private static String` | `BEGIN_CODESPACE_RANGE`
`private static String` | `MARK_END_OF_ARRAY`
`private static String` | `MARK_END_OF_DICTIONARY`
`private byte[]` | `tokenParserByteBuffer`

Constructor Summary
`CMapParser()` Creates a new instance of CMapParser.

Method Summary
`private int` | `compare(byte[] first, byte[] second)`
`private String` | `createStringFromBytes(byte[] bytes)`
`private void` | `increment(byte[] data)`
`private void` | `increment(byte[] data, int position)`
`private boolean` | `isWhitespaceOrEOF(int aByte)`
`static void` | `main(String[] args)` A simple class to test parsing of cmap files.
`CMap` | `parse(InputStream input)` This will parse the stream and create a cmap object.
`private Object` | `parseNextToken(PushbackInputStream is)`
`private void` | `readUntilEndOfLine(InputStream is, StringBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN_CODESPACE_RANGE

    private static final String BEGIN_CODESPACE_RANGE

See Also:
  Constant Field Values

### BEGIN_BASE_FONT_CHAR

    private static final String BEGIN_BASE_FONT_CHAR

See Also:
  Constant Field Values

### BEGIN_BASE_FONT_RANGE

    private static final String BEGIN_BASE_FONT_RANGE

See Also:
  Constant Field Values

### MARK_END_OF_DICTIONARY

    private static final String MARK_END_OF_DICTIONARY

See Also:
  Constant Field Values

### MARK_END_OF_ARRAY

    private static final String MARK_END_OF_ARRAY

See Also:
  Constant Field Values

### tokenParserByteBuffer

    private byte[] tokenParserByteBuffer

Constructor Detail

### CMapParser

    public CMapParser()

  Creates a new instance of CMapParser.

Method Detail

### parse

    public CMap parse(InputStream input)
               throws IOException

  This will parse the stream and create a cmap object.

  Parameters:
    `input` - The CMAP stream to parse.
  Returns:
    The parsed stream as a java object.
  Throws:
    `IOException` - If there is an error parsing the stream.

### parseNextToken

    private Object parseNextToken(PushbackInputStream is)
                           throws IOException

  Throws:
    `IOException`

### readUntilEndOfLine

    private void readUntilEndOfLine(InputStream is,
                                    StringBuffer buf)
                             throws IOException

  Throws:
    `IOException`

### isWhitespaceOrEOF

    private boolean isWhitespaceOrEOF(int aByte)

### increment

    private void increment(byte[] data)

### increment

    private void increment(byte[] data,
                           int position)

### createStringFromBytes

    private String createStringFromBytes(byte[] bytes)
                                  throws IOException

  Throws:
    `IOException`

### compare

    private int compare(byte[] first,
                        byte[] second)

### main

    public static void main(String[] args)
                     throws Exception

  A simple class to test parsing of cmap files.

  Parameters:
    `args` - Some command line arguments.
  Throws:
    `Exception` - If there is an error parsing the file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD